Bug 1449040 - Broken postun scriptlet
Summary: Broken postun scriptlet
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dmlite
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andrea
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-09 06:29 UTC by Mattias Ellert
Modified: 2017-09-04 17:49 UTC (History)
4 users (show)

Fixed In Version: dmlite-0.8.7-2.fc26 dmlite-0.8.7-1.fc24 dmlite-0.8.7-1.fc25 dmlite-0.8.8-1.el6 dmlite-0.8.8-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-04 17:48:12 UTC


Attachments (Terms of Use)

Description Mattias Ellert 2017-05-09 06:29:00 UTC
Description of problem:

Errors during upgrade:

/sbin/ldconfig: relative path `1' used to build cache
varning: %postun(dmlite-libs-0.8.5-1.fc25.x86_64)-skript misslyckades, slutstatus 1
Non-fatal POSTUN scriptlet failure in rpm package dmlite-libs
Non-fatal POSTUN scriptlet failure in rpm package dmlite-libs

Version-Release number of selected component (if applicable):

dmlite-libs-0.8.5-1.fc25.x86_64
dmlite-libs-0.8.6-2.fc25.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Update dmlite-libs
2. See errors from postun scriptlet

Actual results:

See above.

Expected results:

No errors.

Additional info:

The problem is that the scriptlet is written in such a way that it attempts to use the /sbin/ldconfig binary as a shell interpreter to execute shell commands.

%postun libs -p /sbin/ldconfig
/sbin/service rsyslog condrestart || true

This should be

%postun libs
/sbin/ldconfig
/sbin/service rsyslog condrestart || true

The %postun <name> -p /sbin/ldconfig construct should only be used if /sbin/ldconfig is the only thing the postun scriptlet should do (in which case it is the preferred way).

The %post scriptlet does it the right way.

Comment 1 Andrea 2017-05-29 16:04:57 UTC
Hi Mattias,
thanks for reporting this!
we are going to release soon a new version of dmlite which will fix also this issue
cheers
Andrea

Comment 2 Fedora Update System 2017-06-28 09:59:20 UTC
dmlite-0.8.7-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b87cfa1711

Comment 3 Fedora Update System 2017-06-28 09:59:32 UTC
dmlite-0.8.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f3a3fbb167

Comment 4 Fedora Update System 2017-06-28 12:29:59 UTC
dmlite-0.8.7-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d8d02bfa0d

Comment 5 Fedora Update System 2017-06-28 19:21:10 UTC
dmlite-0.8.7-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d8d02bfa0d

Comment 6 Fedora Update System 2017-06-28 21:51:27 UTC
dmlite-0.8.7-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4ac21a7586

Comment 7 Fedora Update System 2017-06-28 21:53:24 UTC
dmlite-0.8.7-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b87cfa1711

Comment 8 Fedora Update System 2017-06-29 03:17:15 UTC
dmlite-0.8.7-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2a97f85209

Comment 9 Fedora Update System 2017-06-29 03:18:21 UTC
dmlite-0.8.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f3a3fbb167

Comment 10 Fedora Update System 2017-07-31 13:29:58 UTC
dmlite-0.8.8-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-64f66147e6

Comment 11 Fedora Update System 2017-07-31 16:19:54 UTC
dmlite-0.8.7-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-07-31 19:18:26 UTC
dmlite-0.8.7-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-07-31 20:19:57 UTC
dmlite-0.8.7-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-07-31 20:46:56 UTC
dmlite-0.8.8-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5ad8f67c50

Comment 15 Fedora Update System 2017-07-31 20:48:57 UTC
dmlite-0.8.8-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-64f66147e6

Comment 16 Fedora Update System 2017-09-04 17:48:12 UTC
dmlite-0.8.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-09-04 17:49:19 UTC
dmlite-0.8.8-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.